Retrieves a ReleaseTrack resource.
curl --request GET \
--url https://www.fmdb.net/api/releases/{releaseId}/formats/{formatId}/tracks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/releases/{releaseId}/formats/{formatId}/tracks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/releases/{releaseId}/formats/{formatId}/tracks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "ReleaseTrack",
"id": "/api/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/formats/f1a2b3c4-d5e6-7890-abcd-ef1234567890/tracks/22222222-2222-2222-2222-222222222222",
"attributes": {
"position": 2,
"title": "Chase Scene / Confrontation",
"variant": null,
"artists": [
{
"iri": "/api/artists/a1b2c3d4",
"id": "a1b2c3d4",
"name": "John Williams",
"name_variation": null,
"position": 0,
"join_phrase": " feat. ",
"credit_role": "main"
},
{
"iri": "/api/artists/b2c3d4e5",
"id": "b2c3d4e5",
"name": "Kiri Te Kanawa",
"name_variation": null,
"position": 1,
"join_phrase": null,
"credit_role": "featured"
}
],
"artist_text": null,
"artist_credit": "John Williams feat. Kiri Te Kanawa",
"minutes": 5,
"seconds": 45,
"_type": "compound",
"isrc_code": null,
"content_components": [
"score"
],
"source_cue": false,
"notes": "Underscore that segues into a diegetic radio source.",
"label": null,
"credits": [],
"productions": [],
"sub_tracks": [
{
"id": "22222222-2222-2222-2222-222222222201",
"position": 1,
"title": "Chase Scene",
"variant": null,
"artists": [
{
"iri": "/api/artists/a1b2c3d4",
"id": "a1b2c3d4",
"name": "John Williams",
"name_variation": null,
"position": 0,
"join_phrase": null,
"credit_role": "main"
}
],
"artist_text": null,
"artist_credit": "John Williams",
"minutes": 2,
"seconds": 30,
"type": "track",
"isrc_code": null,
"content_components": [
"source"
],
"source_cue": true,
"notes": "Diegetic within the chase.",
"label": null,
"credits": [],
"productions": []
},
{
"id": "22222222-2222-2222-2222-222222222202",
"position": 2,
"title": "Confrontation",
"variant": null,
"artists": [],
"artist_text": "Daryl Hannah and Michel Monteleone",
"artist_credit": null,
"minutes": 3,
"seconds": 15,
"type": "track",
"isrc_code": null,
"content_components": [
"score"
],
"source_cue": false,
"notes": null,
"label": null,
"credits": [],
"productions": []
}
]
}
}
}{
"errors": [
{
"id": "<string>",
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>",
"meta": {},
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
}
}
]
}ReleaseTrack
Retrieves a ReleaseTrack resource.
Retrieves a ReleaseTrack resource.
GET
/
api
/
releases
/
{releaseId}
/
formats
/
{formatId}
/
tracks
/
{id}
Retrieves a ReleaseTrack resource.
⌘I
